#!/bin/bash

PATH_TO_HOME=$(xdg-user-dir)
PATH_TO_CERT=${PATH_TO_HOME}/.adobe/Acrobat/9.0
CURL_PATH="/etc/skel/.adobe/Acrobat/9.0/Cert/curl-ca-bundle.crt"
ADDRESS_PATH="/etc/skel/.adobe/Acrobat/9.0/Security/addressbook.acrodata"

logger -t lliurex-dgti-conf-acroread "Exists file cert in adobe"

if [ ! -d ${PATH_TO_CERT} ];then
	#echo "No existe el directorio, lo creo"
        #echo
        cp -pr /etc/skel/.adobe ${PATH_TO_HOME}
 	logger -t lliurex-dgti-conf-acroread "Copying directory .adobe in user home"
fi

if [ ! -f ${PATH_TO_CERT}/Cert/curl-ca-bundle.crt ];then 
	#echo
	#echo "No existe el certificado, lo copio"
	cp -f ${CURL_PATH} ${PATH_TO_CERT}/Cert
	cp -f ${ADDRESS_PATH} ${PATH_TO_CERT}/Security
	logger -t lliurex-dgti-conf-acroread "Copying file cert in /home_dir/.adobe"
	#echo
	#echo "Cambio los permisos a los ficheros"
	#echo
	chmod 777 ${PATH_TO_CERT}/Cert/curl-ca-bundle.crt
	chmod 777 ${PATH_TO_CERT}/Security/addressbook.acrodata
fi
